bumblebee (3.2.1-28) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Update the list of supported drivers.
  * Bump Standards-Version to 4.6.0, no changes needed.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Remove 3 maintscript entries from 1 files.
  * Remove constraints unnecessary since buster:
    + bumblebee: Drop versioned constraint on xserver-xorg-core in Depends.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Apr 2022 17:47:35 +0200

bumblebee (3.2.1-27) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes
  * Backport pcie_id_overrun.patch to fix support for PCI bus numbers
    greater than 99 (Closes: #979006)
  * Bump watch file version to 4, no changes
  * Drop bumblebee-nvidia.lintian-overrides, no longer necessary
  * Backport disable-hard-dpms.patch to fix performance drop after 10
    minutes
  * Add Applied-Upstream tag to patch headers as expected by Lintian
  * Add Forwaded tag to patches that are pending merge upstream
  * Format remaining patches to follow DEP-3
  * Backport patch to fix compiler warnings
  * add Ubuntu's dependencies for 455 driver series

 -- Luca Boccassi <bluca@debian.org>  Sat, 02 Jan 2021 13:54:24 +0000

bumblebee (3.2.1-26) unstable; urgency=medium

  [ Andreas Beckmann ]
  * bumblebee-nvidia: Activate the register-glx-alternative-nvidia trigger.
  * bumblebee-nvidia: Do not let an nvidia dkms package satisfy the driver
    dependency while libraries are missing.  (Closes: #966557)

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Aug 2020 22:31:43 +0200

bumblebee (3.2.1-25) unstable; urgency=medium

  * bumblebee-nvidia: Add Tesla 450 driver as alternative dependency.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Jul 2020 14:23:13 +0200

bumblebee (3.2.1-24) unstable; urgency=medium

  * bumblebee-nvidia: Add arch restrictions to dependencies.
  * bumblebee-nvidia: Build for armhf, arm64 and ppc64el, too.
    (Closes: #963681)
  * bumblebee: Depend on pciutils for lspci usage in postinst on Ubuntu.
    (Closes: #964377)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Jul 2020 17:35:19 +0200

bumblebee (3.2.1-23) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Do not recommend unavailable virtualgl on Debian.  (Closes: #881337)
  * Fix FTBFS with gcc-10.  (Closes: #957058)
  * Switch to debhelper-compat (= 13).
  * Use dh_bash-completion.
  * Simplify rules and use bumblebee.install etc. for installation.
  * Remove obsolete conffile /etc/bumblebee/xorg.conf.d/10-dummy.conf.
  * bumblebee-nvidia: Recommend nvidia-primus-vk-wrapper.
  * optirun: Export ENABLE_PRIMUS_LAYER=1 when using primus backend to let
    primus-vk (if available) handle Vulkan applications.  (Closes: #892646)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jun 2020 20:55:55 +0200

bumblebee (3.2.1-22) unstable; urgency=medium

  * Ship empty /etc/modprobe.d directory.
  * Generate vendor-specific modprobe.d/bumblebee.conf.
  * Collect more information with reportbug.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Mar 2020 23:37:06 +0100

bumblebee (3.2.1-21) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Recommend primus-libs instead of primus.
  * Downgrade bbswitch dependency to Recommends.
  * Add only local users to the bumblebee group.  (Closes: #928119)
  * Generate vendor-specific driver dependency lists for bumblebee-nvidia.
  * Add alternative dependency on Tesla driver.  (Closes: #946556)
  * Move bumblebeed manpage to section 8.
  * Fall back to /usr/lib/<triplet>/libGL.so.1 as the "nvidia" libGL.so.1 for
    glvnd-enabled nvidia drivers that no longer provide a proprietary
    libGL.so.1 replacement.  (Closes: #947661)
  * Stop manipulating the glx alternative (Debian).
  * Add Ubuntu's dependencies for 418, 430, 435, and 440 driver series.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Add myself to Uploaders.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Mar 2020 13:58:32 +0100

bumblebee (3.2.1-20) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Drop versioned constraints that are satisfied in wheezy.
  * Switch to debhelper-compat (= 12).

  [ Luca Boccassi ]
  * Enable all hardening build flags.
  * bumblebee-nvidia: add Ubuntu's dependencies for 390 and 410 series.

 -- Luca Boccassi <bluca@debian.org>  Wed, 06 Feb 2019 11:57:48 +0000

bumblebee (3.2.1-19) unstable; urgency=medium

  * Use wildcard to install bash completion file.
  * Backport patch to support AMD APU setups.
  * Backport patch to support nvidia drivers without bbswitch.
  * Bump Standards-Version to 4.3.0, no changes.
  * Set debhelper compat to 11.

 -- Luca Boccassi <bluca@debian.org>  Mon, 31 Dec 2018 18:12:20 +0000

bumblebee (3.2.1-18) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add support for the 390xx legacy driver package available in Debian.
    (Closes: #916448)
  * The dbgsym migration was done in stretch.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Set Rules-Requires-Root: no.

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.2.1.
  * Remove obsolete conffile /etc/init/bumblebeed.conf. Thanks Ansgar!
    (Closes: #914979)

 -- Luca Boccassi <bluca@debian.org>  Fri, 14 Dec 2018 16:02:16 +0000

bumblebee (3.2.1-17) unstable; urgency=medium

  * Switch the triggers to -noawait to fix Lintian warning and to make
    things easier for apt/dpkg. Both restarting bumblebeed and re-building
    the initramfs can be deferred.
  * B-D on debhelper (>= 9.20160709) instead of dh-systemd to fix L:E.
  * Switch Uploaders field to bluca@debian.org email address.
  * Switch from priority extra to optional to fix L:W and comply with
    Policy 4.0.1.
  * Do not ship Upstart file anymore, fixes L:W.
  * Add 387 series to dependencies for Ubuntu.
  * Bump Standards-Version to 4.1.2.

 -- Luca Boccassi <bluca@debian.org>  Fri, 08 Dec 2017 23:07:05 +0000

bumblebee (3.2.1-16) unstable; urgency=medium

  * Ubuntu: fix typo in modprobe, really support 378

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sun, 02 Jul 2017 10:36:52 +0100

bumblebee (3.2.1-15) unstable; urgency=medium

  * Use https in debian/copyright
  * Bump Standards-Version to 4.0.0
  * Ubuntu: add support for 375, 378, 381 and 384

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sat, 01 Jul 2017 19:43:52 +0100

bumblebee (3.2.1-14) unstable; urgency=medium

  * Add dependency to lsb-base (>= 3.0-6) to fix Lintian Error
  * Add blacklist and dependency for nvidia-367*

 -- Luca Boccassi <luca.boccassi@gmail.com>  Tue, 24 Jan 2017 14:20:27 +0000

bumblebee (3.2.1-13) unstable; urgency=medium

  * Backport libkmod.patch from upstream develop branch and add build-dep
    on libkmod-dev. Definitively fixes all issues with multiple kernel
    modules loading/unloading.
  * Remove Ubuntu modprobe hack from debian/rules
  * Add restart-bumblebeed dpkg-trigger, to be used by update-glx when
    changing the provider of libglx.so and the nvidia kernel module.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sat, 11 Jun 2016 12:49:56 +0100

bumblebee (3.2.1-12) unstable; urgency=medium

  [ Luca Boccassi ]
  * Set nvidia lib directory to /usr/lib/nvidia/nvidia to solve
    incompatibility between Bumblebee and concurrent installations of
    current plus legacyYYYxx Nvidia driver series on the same system.
  * Add ignore-systemd-logind-noise.patch and
    ignore-failure-to-set-DRM-interface.patch to ignore red herrings.
    (Closes: #822665)
  * Set Ubuntu default kernel driver to nvidia, which is provided as a
    modprobe alias by the nvidia-XYZ packages.

  [ Vincent Cheng ]
  * Use dh_strip --dbgsym-migration to cleanly migrate from old-style dbg
    packages to autogenerated dbgsym packages.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Wed, 18 May 2016 00:17:59 +0100

bumblebee (3.2.1-11) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Team upload.
  * Drop -dbg package in favor of autogenerated -dbgsym packages.
  * Update Vcs-* URLs.
  * Update Standards version to 3.9.8, no changes required.
  * Drop obsolete Debian NVIDIA package alternatives.
  * Add support for the 304xx/340xx legacy driver packages available in
    Debian.  (Closes: #802479, #717687)
  * Use vendor-specific maintainer scripts.
  * Add Luca Boccassi to Uploaders.

  [ Luca Boccassi ]
  * Mention kernel cmdline workaround for nvidia module load issues on
    some hardware, and related upstream tickets, in README.Debian.
    (Closes: #822330)
  * Run dh --with autoreconf to regenerate configure, Makefile, etc.
  * Add xorg-binary-config.patch to allow changing the Xorg binary in
    bumblebee.conf.
  * Add dependency on xserver-xorg-core >= 1.18 and set default binary
    to /usr/lib/xorg/Xorg in order to support xserver-xorg-legacy.
    (Closes: #815888)
  * Add 358, 361, 364 in alternate dep and blacklist.
  * Install modprobe blacklist in /usr/share/bumblebee/modprobe.d/ to avoid
    clash with the daemon config file.
  * Delete /etc/modprobe.d/bumblebee.conf already when bumblebee is removed,
    to not keep the blacklists active until it is purged.  (LP: #1242785)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 May 2016 23:42:16 +0200

bumblebee (3.2.1-10) unstable; urgency=medium

  * Team upload.
  * Blacklist the nvidia legacy kernel modules available in Debian.
  * Use the new /usr/lib/nvidia/bumblebee glx alternative.
    (Closes: #802310, #802245)
  * Add Depends: glx-alternative-nvidia (>= 0.6.92) (only for Debian).
  * Trigger the glx-alternative-nvidia package after updating the alternative.
  * fix-typos.patch: New, fix some typos noticed by Lintian.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 Oct 2015 02:14:27 +0200

bumblebee (3.2.1-9) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add modprobe remove in bumblebee.conf on Ubuntu to fix timeout when
    unloading nvidia-uvm.

  [ Vincent Cheng ]
  * Add nvidia-355 in alternate dep and blacklist.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 14 Aug 2015 23:58:12 -0700

bumblebee (3.2.1-8) unstable; urgency=medium

  [ Luca Boccassi ]
  * Cherry-pick patch for modprobe -r instead of rmmod (Closes: #793389)
  * Add nvidia-346, 349, and 352 in alternate dep and blacklist.
    (LP: #1511560)

  [ Vincent Cheng ]
  * Move bumblebee bash-completion file from obsolete /etc/bash_completion.d/
    to /usr/share/bash-completion/completions/.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 25 Jul 2015 19:28:48 -0700

bumblebee (3.2.1-7) unstable; urgency=medium

  * Move conffile handling introduced in 3.2.1-6 from bumblebee-nvidia
    to bumblebee.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 25 Oct 2014 17:04:28 -0700

bumblebee (3.2.1-6) unstable; urgency=medium

  * Build with CONF_DRIVER_MODULE_NVIDIA=nvidia-current instead of nvidia.
  * Stop treating /etc/modprobe.d/bumblebee.conf as a conffile and remove it
    when removing bumblebee, not just when purging it. (LP: #1242785)
    - Pre-Depends on dpkg >= 1.15.7.2 for dpkg-maintscript-helper rm_conffile.
  * Add patches: fix-device-detection.patch, ignore-error-on-X-shutdown.patch,
    cherry-picked from upstream git. (LP: #1230008)
  * Allow more nvidia flavours to satisfy bumblebee-nvidia's dependencies
    (relevant only for Ubuntu).
  * Update debian/README.Debian.
  * Update email address.
  * Update Standards version to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 25 Oct 2014 10:13:42 -0700

bumblebee (3.2.1-5) unstable; urgency=medium

  * Allow more nvidia flavours to satisfy bumblebee-nvidia's dependencies
    (relevant only for Ubuntu). (LP: #1261180)
  * Update Standards version to 3.9.5, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 06 Jan 2014 01:24:33 -0800

bumblebee (3.2.1-4) unstable; urgency=low

  * Use dh-systemd (for systemd-specific additions to maintscripts).
    (Closes: #715270)
  * Add bumblebee group as system group (gid in between 100-999) instead
    of a regular group in postinst. (Closes: #718772)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 20 Aug 2013 02:35:34 -0700

bumblebee (3.2.1-3) unstable; urgency=low

  * Append /usr/lib/primus to CONF_PRIMUS_LD_PATH in d/rules to ease
    pre-multiarch backports. (Closes: #712665)
  * Have bumblebee depend on bbswitch-dkms | bbswitch-source, and
    bumblebee-nvidia depend on all possible m-a built nvidia modules.
  * Add support for nvidia-325 packaged in Ubuntu (not relevant for Debian).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 11 Jul 2013 01:18:07 -0700

bumblebee (3.2.1-2) unstable; urgency=low

  * Allow more nvidia flavours to satisfy bumblebee-nvidia's dependencies
    (relevant for Ubuntu).

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 29 May 2013 01:45:35 -0700

bumblebee (3.2.1-1) unstable; urgency=low

  [ Aron Xu ]
  * Initial release (Closes: #659440).
  * Thanks to Peter Lekensteyn and Bruno Pagani, most stuff taken from the
    packaging for Ubuntu PPA.

  [ Vincent Cheng ]
  * Thanks to Igor Urazov for lots of the Debian-specific portions of the
    packaging.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 03 May 2013 03:04:38 -0700
